> For the complete documentation index, see [llms.txt](https://api.documentation.omnicado.com/llms.txt)

# Custom label printed under a reference

> GET /labels/custom/{reference}
> 
> Returns the label again. Supports the same `Accept` header as the order label.



## Servers
- Production API endpoint - live use only: api.services.omnicado.com/api/v2 (Production API endpoint - live use only)
- Development API endpoint - used for testing: api.dev.services.omnicado.com/api/v2 (Development API endpoint - used for testing)


## Authentication methods
- Omnicado token based scheme


## Parameters

### Path parameters

- **reference** (string)
  The `reference` the label was printed with




## Responses
### 200
The label

#### Body: application/json (object)
- **orderId** (integer | null)
  Omnicado order id; `null` for a custom label

- **reference** (string)
  Order number, or the `reference` of a custom label

- **carrier** (string)
  Carrier code, or the marketplace delivery (e.g. `alzaDelivery`)

- **labelFormat** (string)
  The format the carrier actually returned

- **trackingNumbers** (array[string])

- **trackingUrl** (string | null)

- **cancelled** (boolean)
  Custom labels only

- **label** (object)


### 404
`label_not_found`

#### Body: application/json (object)
- **error** (string)

- **code** (string)
  Machine-readable reason, listed with each response


### 409
`label_in_progress`

#### Body: application/json (object)
- **error** (string)

- **code** (string)
  Machine-readable reason, listed with each response



[Powered by Bump.sh](https://bump.sh)
